com.mathworks.mps.client.rest

## Class MATLABRequestHandle

- java.lang.Object
- - com.mathworks.mps.client.rest.MATLABRequestHandle

- All Implemented Interfaces:
    java.io.Serializable

      public class MATLABRequestHandle
      extends java.lang.Object
      implements java.io.Serializable

  This class represents the MATLAB function execution request created with the initial POST Asynchronous Request. For more information, see POST Asynchronous Request.
  See Also:
    `MATLABParams`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MATLABRequestHandle()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInstanceId()` Returns the instance ID of the server.
    `long` | `getLastModifiedSeq()` Returns the lastModifiedSeq value on the server when the HTTP request was made.
    `java.lang.String` | `getRequestURL()` Returns the request URL associated with the request.
    `MATLABRequestState` | `getState()` Returns the state of the request.
    `static MATLABRequestHandle` | `newInstance(byte[] byteStream)` Creates an object of MATLABRequestHandle class.
    `static MATLABRequestHandle` | `newInstance(java.io.InputStream inputStream)` Creates an object of MATLABRequestHandle class.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MATLABRequestHandle

          public MATLABRequestHandle()

  - ### Method Detail

    - #### newInstance

          public static MATLABRequestHandle newInstance(java.io.InputStream inputStream)

      Creates an object of MATLABRequestHandle class.
      Parameters:
        `inputStream` -
      Returns:
        `MATLABRequestHandle` object

    - #### newInstance

          public static MATLABRequestHandle newInstance(byte[] byteStream)

      Creates an object of MATLABRequestHandle class.
      Parameters:
        `byteStream` -
      Returns:
        returns a `MATLABRequestHandle` object

    - #### getLastModifiedSeq

          public long getLastModifiedSeq()

      Returns the lastModifiedSeq value on the server when the HTTP request was made.
      Returns:
        long

    - #### getState

          public MATLABRequestState getState()

      Returns the state of the request. Initial state is always READING.
      Returns:
        `MATLABRequestState`

    - #### getRequestURL

          public java.lang.String getRequestURL()

      Returns the request URL associated with the request. This request URL acts as a token to retrieve the state of the request.
      Returns:
        String

    - #### getInstanceId

          public java.lang.String getInstanceId()

      Returns the instance ID of the server.
      Returns:
        String

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2010-2022 The MathWorks, Inc.